/* (This program is from p. 154 of the Kernighan and Ritchie text */
#include <stdio.h>
#include <stdlib.h>

void
filecopy(FILE *fp)	/* copy file fp to standard output */
{
    int c;

    while ((c = getc(fp)) != EOF)
	putc(c, stdout);
}

void
main(int argc, char **argv)	/* cat: concatenate files */
{
    FILE *fp;

    if (argc == 1) /* no args; copy standard input */
	 filecopy(stdin);
    else
	 while (--argc > 0)
	    if ((fp = fopen(*++argv, "r")) == NULL) {
		fprintf(stderr,
			"cat: can't open %s\n", *argv);
		exit(1);
	    } else {
		filecopy(fp);
		fclose(fp);
	    }
    exit(0);
}





